2ch.cgi

  [w3m-dev 03635] 2ch.cgi
  localcgi to read 2ch dat directly

  w3m file:/cgi-bin/2ch.cgi?http://toro.2ch.sc/test/read.cgi/unix/1185784998/

  It uses wget -c.
  `dat' files are recorded under ~/w3m2ch/.
  You can not post.

smb.cgi

  [w3m-dev 03634] smb.cgi
  localcgi to access SMB.
  Since it uses nmblookup, smbclient, you should install samba.
  Password can be passed to smbclient:
  1) When the password is set by contents of ~/.w3m/smb and
     -A option available, `smbclient -A ~/.w3m/smb' is used.
  2) When the environment variable PASSWD_FILE, it is used.
  3) When the password is set by contents of ~/.w3m/smb,
     the password is passed via standrad I/O using
     the environment variable PASSWD_FD.

google.cgi

  [w3m-dev 03625] keymap key SEARCH string

html2latex

  Convert HTML document into LaTeX. Ruby script. incomplete.

  Usage:

    html2latex file.html > file.tex

  Why this script is here?

    To exploit code for makeref. :-)

makeref

  Read HTML document and number the anchors. Print numbered document
  into standard output and append reference index. Ruby script.

  Usage:

    makeref [-u] [-url base_url] [file]

    -url: Specify URL of the document. It is used to complete link
          in the document.

    -u: Append URL after each anchor, instead of reference number.

  Bugs

    If there are any error in HTML (unbalanced < , character entity
    without ; , etc.), output will be miserable.

htmldump

  Read HTML document from URL, number the anchors and format it,
  and output it on standard output.

  Usage

    htmldump [-u] [URL]

    -u: Append URL after each anchor, instead of reference number.

    If URL is omitted, $WWW_HOME is used instead.

  Bugs

    It assumes that the document on URL is HTML.
    As it uses makeref to number the anchor, it can't handle any document
    makeref can't handle.
